# Created by pyp2rpm-3.3.3
%global pypi_name google-reauth

Name:           python-%{pypi_name}
Version:        0.1.0
Release:        %mkrel 2
Summary:        Google Reauth Library
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/Google/google-reauth-python
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:		0001-Adding-Py3-compatibility.-9.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(oauth2client) >= 2.0.0
BuildRequires:  python3dist(pyu2f)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(mock)

%description
This library provides Reauth support to Google's authentication libraries for
Python. Reauth allows using two-factor authentication for end-user credentials.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(oauth2client) >= 2.0.0
Requires:       python3dist(pyu2f)

%description -n python3-%{pypi_name}
This library provides Reauth support to Google's authentication libraries for
Python. Reauth allows using two-factor authentication for end-user credentials.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/google_reauth
%{python3_sitelib}/google_reauth-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.1.0-2.mga8
+ Revision: 1541121
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 wally <wally> 0.1.0-1.mga8
+ Revision: 1469122
- imported package python-google-reauth

